'use strict';

var path = require('path');
var sander = require('sander');
var sorcery = require('sorcery');



exports['default'] = flattenSourcemaps;
function flattenSourcemaps(inputdir, outputdir, node) {
	return sander.lsr(inputdir).then(function (files) {
		var promises = files.filter(function (file) {
			return file.slice(-4) !== ".map";
		}).map(function (file) {
			return sorcery.load(path.resolve(inputdir, file), {
				sourcemaps: node.getSourcemaps()
			}).then(function (chain) {
				if (chain) {
					// overwrite in place
					return chain.write({
						base: outputdir
					});
				}
			});
		});

		return sander.Promise.all(promises);
	}).then(function () {
		return inputdir;
	});
}
//# sourceMappingURL=flattenSourcemaps.js.map
